Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class LogConfiguration

    java.lang.Object
      oracle.ifs.common.logging.LogConfiguration

    public class LogConfiguration

extends java.lang.Object

Class to capture logging environment settings, an instance of this class is passed to the LogInitializaion class to set up a logging environment for a JVM.

(Unpublished)

Field Summary
`static java.util.logging.Level` | `DEFAULT_ROOT_LOGGER_LEVEL` Constant for the default log level used if level not specified.
`static java.lang.String` | `DEFAULT_ROOT_LOGGER_NAME` Constant for the default name of the root logger.
`static java.lang.String` | `TEXT_FORMAT` Constant used to specify the simple text formatting of log output.
`static java.lang.String` | `XML_FORMAT` Constant used to specify the XML formatting of log output.

Constructor Summary
`LogConfiguration()` Simple constructor using the defaults for logger name and level.
`LogConfiguration(java.lang.String loggerName, java.util.logging.Level level)` Constructor to create a log config, given a root logger name and level.

Method Summary
`void` | `addConsoleHandler(java.lang.String format)` Set config setting to add a console handler to the root loggger.
`void` | `addFileHandler(java.lang.String fileName, int maxFileSize, int numberFiles, long rotationMillis, java.lang.String format)` Set config setting to add a file handler.
`void` | `addHandler(java.util.logging.Handler handler)` Set config setting to add a handler to the root logger.
`java.util.Vector` | `getRootHandlers()` Get config setting, the handlers to add to the root logger.
`java.util.logging.Level` | `getRootLoggerLevel()` Get config setting, the root logger's log level.
`java.lang.String` | `getRootLoggerName()` Gets the root logger name.
`void` | `initializeHandlers()` Initialize the handlers.
`void` | `setRootLoggerLevel(java.util.logging.Level level)` Set config setting the root logger level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_FORMAT

    public static final java.lang.String TEXT_FORMAT

  Description copied from class: `LogConfiguration`
  Constant used to specify the simple text formatting of log output. This determines the logg Formatter to use.

  See Also:
    Constant Field Values
  (Unpublished)

### XML_FORMAT

    public static final java.lang.String XML_FORMAT

  Description copied from class: `LogConfiguration`
  Constant used to specify the XML formatting of log output. This determines the logging Formatter to use.

  See Also:
    Constant Field Values
  (Unpublished)

### DEFAULT_ROOT_LOGGER_NAME

    public static final java.lang.String DEFAULT_ROOT_LOGGER_NAME

  Description copied from class: `LogConfiguration`
  Constant for the default name of the root logger.

  See Also:
    Constant Field Values
  (Unpublished)

### DEFAULT_ROOT_LOGGER_LEVEL

    public static final java.util.logging.Level DEFAULT_ROOT_LOGGER_LEVEL

  Description copied from class: `LogConfiguration`
  Constant for the default log level used if level not specified.

  (Unpublished)

Constructor Detail

### LogConfiguration

    public LogConfiguration()

  Simple constructor using the defaults for logger name and level.

  (Unpublished)

### LogConfiguration

    public LogConfiguration(java.lang.String loggerName,
                            java.util.logging.Level level)

  Constructor to create a log config, given a root logger name and level.

  Parameters:
    `loggerName` - a String that specifies the name of the root logger.
    `level` - a Level that is the root loggers log level.
  (Unpublished)

Method Detail

### initializeHandlers

    public void initializeHandlers()

  Description copied from class: `LogConfiguration`
  Initialize the handlers.

  (Unpublished)

### getRootLoggerName

    public java.lang.String getRootLoggerName()

  Description copied from class: `LogConfiguration`
  Gets the root logger name.

  Returns:
    the root logger name
  (Published)

### getRootLoggerLevel

    public java.util.logging.Level getRootLoggerLevel()

  Description copied from class: `LogConfiguration`
  Get config setting, the root logger's log level.

  Returns:
    a Level that is the root logger's log level.
  (Unpublished)

### setRootLoggerLevel

    public void setRootLoggerLevel(java.util.logging.Level level)

  Description copied from class: `LogConfiguration`
  Set config setting the root logger level.

  Parameters:
    `level` - the Level to set the root logger's log level to.
  (Unpublished)

### addHandler

    public void addHandler(java.util.logging.Handler handler)

  Description copied from class: `LogConfiguration`
  Set config setting to add a handler to the root logger.

  The specified Handler should have its level and formatter set.

  Parameters:
    `handler` - the handler to add
  (Unpublished)

### addConsoleHandler

    public void addConsoleHandler(java.lang.String format)

  Description copied from class: `LogConfiguration`
  Set config setting to add a console handler to the root loggger.

  Parameters:
    `format` - a String containing the type of output formatting. This determines the Formatter that the console handler will have.
  (Unpublished)

### addFileHandler

    public void addFileHandler(java.lang.String fileName,
                               int maxFileSize,
                               int numberFiles,
                               long rotationMillis,
                               java.lang.String format)

  Description copied from class: `LogConfiguration`
  Set config setting to add a file handler.

  Parameters:
    `fileName` - the log file name.
    `maxFileSize` - the max size for a file in bytes; a value of 0 indicates no limit.
    `numberFiles` - the number of log files to rotate through.
    `rotationMillis` - the number of milliseconds in between a time based log file rotation; a value of 0 indicates no time based rotation.
    `format` - the format of the output ("text" or "xml").
  (Unpublished)

### getRootHandlers

    public java.util.Vector getRootHandlers()

  Description copied from class: `LogConfiguration`
  Get config setting, the handlers to add to the root logger.

  Returns:
    a Vector of handlers to add to the root logger.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD